> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gengen.farm/llms.txt
> Use this file to discover all available pages before exploring further.

# Update webhook endpoint

> Update webhook endpoint. See the Audio API guide for limits, lifecycle and examples.

See the [Audio API guide](/api-reference/elevenlabs/overview) for request examples, limits, billing and delivery behavior.


## OpenAPI

````yaml openapi/audio.yaml PATCH /webhook-endpoints/{id}
openapi: 3.1.0
info:
  title: GENGEN Audio API
  version: 1.0.0
  description: >-
    Speech, dialogue, complete-turn WebSocket sessions, voices and completion
    webhooks. See the Audio API guide for frame format and signature
    verification.
servers:
  - url: https://gengen.farm/api/gengen/v1
security:
  - bearerAuth: []
paths:
  /webhook-endpoints/{id}:
    patch:
      tags:
        - Webhooks
      summary: Update webhook endpoint
      description: >-
        Update webhook endpoint. See the Audio API guide for limits, lifecycle
        and examples.
      operationId: audio-update-webhook
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  format: uri
                  description: Public HTTPS receiver; redirects are not followed.
                events:
                  type: array
                  items:
                    type: string
                    enum:
                      - audio.generation.succeeded
                      - audio.generation.failed
                  minItems: 1
                enabled:
                  type: boolean
                  default: true
              required: []
              additionalProperties: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                required: []
        default:
          description: Request failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.